Bug Hunting Session
Bug 70597 - URL corrupted when right click in the formula bar
Summary: URL corrupted when right click in the formula bar
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Maxim Monastirsky
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: Calc-Formula-Bar
  Show dependency treegraph
 
Reported: 2013-10-18 06:23 UTC by Thomas Arnhold
Modified: 2018-04-26 20:33 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Test document (7.34 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-10-20 10:31 UTC, Thomas Arnhold
Details
Test document (7.33 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-10-20 10:32 UTC, Thomas Arnhold
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Arnhold 2013-10-18 06:23:00 UTC
1. Open a new spreadsheet
2. Insert a link, eg. "http://google.de/"
3. Leave the cell
4. Go back to the cell, so the content of the cell appears in the formula bar

(optional: add some text after the link, see Bug 45371)

5. Try to edit the link (like in Writer) with right click

What happens: The link will get corrupted (Lost of link attribute, or mixed with text after it).

Expected: The link stays as it is.
Comment 1 tommy27 2013-10-20 04:42:50 UTC

(In reply to comment #0)
> .....
> 
> 5. Try to edit the link (like in Writer) with right click

do you mean single right click of formula bar or double right click?
then what do you exactly do? do you move the cursor? do you type text? please describe exactly the steps.

> What happens: The link will get corrupted (Lost of link attribute, or mixed
> with text after it).
 please attach a screenshot so  we can see which kind of corruption are you talking about.
Comment 2 Thomas Arnhold 2013-10-20 10:31:48 UTC
Created attachment 87866 [details]
Test document
Comment 3 Thomas Arnhold 2013-10-20 10:32:38 UTC
Created attachment 87867 [details]
Test document
Comment 4 Thomas Arnhold 2013-10-20 10:35:14 UTC
1. Open the test document
2. Navigate with the arrow keys to B2
3. In the formula bar the cell content will appear (with a highlighted link)
4. Single right-click on the formula
5. Do nothing and leave the cell by clicking into another cell

The link will now be white and no link anymore.
Comment 5 tommy27 2013-10-20 17:02:52 UTC
@Thomas Arnhold
Ok. I followed your instruction and I confirm bug under Win7 64bit.
Set status to NEW. 

It affects any LibO release from 3.3.0 to current 4.1.2.
the same bug is present in OOo 3.3.0 and AOO 4.0.0

Adding Calc expert to CC list.
Comment 6 tommy27 2014-10-25 20:33:12 UTC
still reproducible with LibO 4.3.2.2
Comment 7 QA Administrators 2015-12-20 16:14:16 UTC Comment hidden (obsolete)
Comment 8 tommy27 2015-12-20 20:19:15 UTC
still reproducible with LibO 5.0.3.1
Comment 9 QA Administrators 2017-01-03 19:54:36 UTC Comment hidden (obsolete)
Comment 10 tommy27 2017-01-10 07:39:53 UTC
still present in LibO 5.2.4.2
Comment 11 Maxim Monastirsky 2018-04-26 20:33:16 UTC
Fixed by the commit of Bug 57000.